> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get VIP rate and quota

GET https://www.okx.com/api/v5/public/vip-interest-rate-loan-quota

Retrieve the borrowing interest rates and loan quotas for VIP loans, available to VIP5 and above.

Reference: https://okx-demo.ferndocs.com/api/api-reference/public-data/get-vip-interest-rate-loan-quota

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5PublicVipInterestRateLoanQuotaGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5PublicVipInterestRateLoanQuotaGetResponsesContentApplicationJsonSchemaDataItems

- `ccy` (string, optional) — Currency, e.g. BTC.
- `rate` (string, optional) — Daily interest rate.
- `quota` (string, optional) — Borrow limit for the currency at the platform level.
- `levelList` (list of ApiV5PublicVipInterestRateLoanQuotaGetResponsesContentApplicationJsonSchemaDataItemsLevelListItems, optional) — Loan quota per VIP level.

### ApiV5PublicVipInterestRateLoanQuotaGetResponsesContentApplicationJsonSchemaDataItemsLevelListItems

- `level` (string, optional) — VIP level, e.g. VIP5.
- `loanQuota` (string, optional) — Borrow limit for this VIP level.

## Examples

**Response**

```json
{
  "code": "string",
  "msg": "string",
  "data": [
    {
      "ccy": "string",
      "rate": "string",
      "quota": "string",
      "levelList": [
        {
          "level": "string",
          "loanQuota": "string"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://www.okx.com/api/v5/public/vip-interest-rate-loan-quota"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://www.okx.com/api/v5/public/vip-interest-rate-loan-quota';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/public/vip-interest-rate-loan-quota"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/public/vip-interest-rate-loan-quota")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/public/vip-interest-rate-loan-quota")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/public/vip-interest-rate-loan-quota');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/public/vip-interest-rate-loan-quota");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/public/vip-interest-rate-loan-quota")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```